Skip to content

Get Portfolio Form 8949

GET
/api/v1/portfolios/{portfolio_id}/tax-reports/8949
curl --request GET \
--url 'https://api.qeychain.xyz/api/v1/portfolios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tax-reports/8949?tax_year=1'

Get consolidated Form 8949 report for all addresses in a portfolio.

Returns all disposals formatted for IRS Form 8949 reporting.

portfolio_id
required
Portfolio Id
string format: uuid
tax_year
required
Tax Year

Tax year

integer
>= 2009 <= 2100

Tax year

Successful Response

Media typeapplication/json
Response Get Portfolio Form 8949 Api V1 Portfolios Portfolio Id Tax Reports 8949 Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}